# _U64Type
<span class="source-link">[[Source]](src/cli/command_spec.md#L535)</span>
```pony
primitive val _U64Type is
  _ValueType val
```

#### Implements

* [_ValueType](cli-_ValueType.md) val

---

## Constructors

### create
<span class="source-link">[[Source]](src/cli/command_spec.md#L535)</span>


```pony
new val create()
: _U64Type val^
```

#### Returns

* [_U64Type](cli-_U64Type.md) val^

---

## Public Functions

### string
<span class="source-link">[[Source]](src/cli/command_spec.md#L536)</span>


```pony
fun box string()
: String val
```

#### Returns

* [String](builtin-String.md) val

---

### value_of
<span class="source-link">[[Source]](src/cli/command_spec.md#L537)</span>


```pony
fun box value_of(
  s: String val)
: (Bool val | String val | I64 val | 
    U64 val | F64 val | _StringSeq val) ?
```
#### Parameters

*   s: [String](builtin-String.md) val

#### Returns

* ([Bool](builtin-Bool.md) val | [String](builtin-String.md) val | [I64](builtin-I64.md) val | 
    [U64](builtin-U64.md) val | [F64](builtin-F64.md) val | [_StringSeq](cli-_StringSeq.md) val) ?

---

### is_seq
<span class="source-link">[[Source]](src/cli/command_spec.md#L520)</span>


```pony
fun box is_seq()
: Bool val
```

#### Returns

* [Bool](builtin-Bool.md) val

---

### append
<span class="source-link">[[Source]](src/cli/command_spec.md#L521)</span>


```pony
fun box append(
  v1: (Bool val | String val | I64 val | 
    U64 val | F64 val | _StringSeq val),
  v2: (Bool val | String val | I64 val | 
    U64 val | F64 val | _StringSeq val))
: (Bool val | String val | I64 val | 
    U64 val | F64 val | _StringSeq val)
```
#### Parameters

*   v1: ([Bool](builtin-Bool.md) val | [String](builtin-String.md) val | [I64](builtin-I64.md) val | 
    [U64](builtin-U64.md) val | [F64](builtin-F64.md) val | [_StringSeq](cli-_StringSeq.md) val)
*   v2: ([Bool](builtin-Bool.md) val | [String](builtin-String.md) val | [I64](builtin-I64.md) val | 
    [U64](builtin-U64.md) val | [F64](builtin-F64.md) val | [_StringSeq](cli-_StringSeq.md) val)

#### Returns

* ([Bool](builtin-Bool.md) val | [String](builtin-String.md) val | [I64](builtin-I64.md) val | 
    [U64](builtin-U64.md) val | [F64](builtin-F64.md) val | [_StringSeq](cli-_StringSeq.md) val)

---

### eq
<span class="source-link">[[Source]](src/cli/command_spec.md#L536)</span>


```pony
fun box eq(
  that: _U64Type val)
: Bool val
```
#### Parameters

*   that: [_U64Type](cli-_U64Type.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/cli/command_spec.md#L536)</span>


```pony
fun box ne(
  that: _U64Type val)
: Bool val
```
#### Parameters

*   that: [_U64Type](cli-_U64Type.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

